#define PROCESSING_TEXTURE_SHADER

varying vec4 vertTexCoord;
varying float vertZ;

uniform sampler2D texture;
uniform int swipe_mode;
uniform float z_center;

float gauss(float x, float center, float sigma) {
    float t = (x - center) * (x - center) / 2.0 / sigma / sigma;
    return exp(-t);
}

void main(void) {
    vec2 p = vertTexCoord.st;
    float value = texture2D(texture, p).r;
    vec4 rgba = texture2D(texture, vec2(value, 0.95));
    if(swipe_mode == 1) {
        rgba.a *= 0.05 + 0.95 * gauss(vertZ, z_center, 6.0);
    }
    gl_FragColor = rgba;
}
